%define srcname coverage
# comment out when not pre-release
#define prel    b2

%define rel     1

Name:           python-%{srcname}
Version:        4.1
Release:        %mkrel %{?prel:0.%prel.}%{rel}
Summary:        Code coverage measurement for Python
Group:          Development/Python
License:        BSD
URL:            http://nedbatchelder.com/code/coverage
Source0:        https://pypi.io/packages/source/c/coverage/%{srcname}-%{version}%{?prel}.tar.gz
BuildRequires:  pythonegg(2)(setuptools)
BuildRequires:  pkgconfig(python2)
BuildRequires:  pkgconfig(python3)
BuildRequires:  pythonegg(3)(setuptools) 

%description
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python
standard library to determine which lines are executable, and which have
been executed.

%package -n python3-%{srcname}
Summary:        Code coverage measurement for Python 3
Group:          Development/Python

%description -n python3-%{srcname}
Coverage.py measures code coverage, typically during test execution. It
uses the code analysis tools and tracing hooks provided in the Python 3
standard library to determine which lines are executable, and which have
been executed.

%prep
%setup -q -n %{srcname}-%{version}%{?prel}

find . -type f -exec chmod 0644 \{\} \;
sed -i 's/\r//g' README.rst

cp -a . %{py3dir}

%build
pushd %{py3dir}
%py3_build
popd

%py2_build

%install
pushd %{py3dir}
%py3_install
mv %{buildroot}/%{_bindir}/coverage %{buildroot}/%{_bindir}/python3-coverage
popd

%py2_install

%files
%doc README.rst
%{_bindir}/coverage
%{_bindir}/coverage2
%{_bindir}/coverage-2*
%{python2_sitearch}/coverage/
%{python2_sitearch}/coverage*.egg-info/

%files -n python3-%{srcname}
%doc README.rst
%{_bindir}/coverage-3*
%{_bindir}/coverage3
%{_bindir}/python3-coverage
%{python3_sitearch}/coverage/
%{python3_sitearch}/coverage*.egg-info/


%changelog
* Tue May 24 2016 daviddavid <daviddavid> 4.1-1.mga6
+ Revision: 1018127
- new version: 4.1 (final)
- use new pypi Source URL

* Fri Jan 29 2016 daviddavid <daviddavid> 4.1-0.b2.1.mga6
+ Revision: 928649
- new version: 4.1b2

* Tue Jan 19 2016 daviddavid <daviddavid> 4.1-0.b1.1.mga6
+ Revision: 925779
- new version: 4.1b1

* Wed Oct 07 2015 daviddavid <daviddavid> 3.7.1-2.mga6
+ Revision: 886862
- rebuild for python 3.5
- use new python macros

* Tue Sep 08 2015 fwang <fwang> 3.7.1-1.mga6
+ Revision: 874003
- 3.7.1

* Wed Oct 15 2014 umeabot <umeabot> 3.7-7.mga5
+ Revision: 748231
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.7-6.mga5
+ Revision: 728198
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.7-5.mga5
+ Revision: 687948
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.7-4.mga5
+ Revision: 628532
- Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.7-3.mga4
+ Revision: 543083
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.7-2.mga4
+ Revision: 498312
- Rebuild to add different pythonegg provides for python 2 and 3

* Sun Oct 06 2013 philippem <philippem> 3.7-1.mga4
+ Revision: 492274
- Update to 3.7

* Mon Jul 01 2013 philippem <philippem> 3.6-2.mga4
+ Revision: 449462
- add Python3

* Sat Jun 08 2013 fwang <fwang> 3.6-1.mga4
+ Revision: 440405
- new version 3.6

* Sun Jan 13 2013 umeabot <umeabot> 3.5.1-2.mga3
+ Revision: 378620
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Feb 12 2012 fwang <fwang> 3.5.1-1.mga2
+ Revision: 208187
- new version 3.5.1

* Sun Jul 17 2011 fwang <fwang> 3.5-1.mga2
+ Revision: 125401
- imported package python-coverage

